com.amazon.redshift.replication

## Class RedshiftReplicationConnectionImpl

- java.lang.Object
- - com.amazon.redshift.replication.RedshiftReplicationConnectionImpl

All Implemented Interfaces:
  RedshiftReplicationConnection

    public class RedshiftReplicationConnectionImpl
    extends Object
    implements RedshiftReplicationConnection

### Constructor Summary

Constructors
Constructor and Description
`RedshiftReplicationConnectionImpl(BaseConnection connection)`

### Method Summary

Methods
`ChainedCreateReplicationSlotBuilder` `createReplicationSlot()` Create replication slot, that can be next use in `RedshiftReplicationConnection.replicationStream()`
`void` `dropReplicationSlot(String slotName)`
`ChainedStreamBuilder` `replicationStream()` After start replication stream this connection not available to use for another queries until replication stream will not close.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftReplicationConnectionImpl

    public RedshiftReplicationConnectionImpl(BaseConnection connection)

### Method Detail

#### replicationStream

    public ChainedStreamBuilder replicationStream()

Description copied from interface: `RedshiftReplicationConnection`
After start replication stream this connection not available to use for another queries until replication stream will not close.

Specified by:
  `replicationStream` in interface `RedshiftReplicationConnection`
Returns:
  not null fluent api for build replication stream

#### createReplicationSlot

    public ChainedCreateReplicationSlotBuilder createReplicationSlot()

Description copied from interface: `RedshiftReplicationConnection`

Create replication slot, that can be next use in `RedshiftReplicationConnection.replicationStream()`

Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.

Specified by:
  `createReplicationSlot` in interface `RedshiftReplicationConnection`
Returns:
  not null fluent api for build create replication slot

#### dropReplicationSlot

    public void dropReplicationSlot(String slotName)
                             throws SQLException

Specified by:
  `dropReplicationSlot` in interface `RedshiftReplicationConnection`
Parameters:
  `slotName` - not null replication slot name exists in database that should be drop
Throws:
  `SQLException` - if the replication slot cannot be dropped.